Class UmlBaseReplyAction

Declaration :

- C++ : class UmlBaseReplyAction : public UmlActivityAction
- Java : package abstract class UmlBaseReplyAction extends UmlActivityAction

Directly inherited by : UmlReplyAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new reply action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlReplyAction, exceptions : RuntimeException
- C++ : public: static UmlReplyAction * create(UmlItem * parent, const char * s)
- Java : public static UmlReplyAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseReplyAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseReplyAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseReplyAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseReplyAction(long id, String s)

Operation replyToCall

return the replyToCall trigger

Declaration :

- Uml : + replyToCall() : string
- C++ : public: const QCString & replyToCall()
- Java : public String replyToCall()

Operation set_ReplyToCall

set the replyToCall trigger
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_ReplyToCall(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_ReplyToCall(const char * v)
- Java : public void set_ReplyToCall(String v) throws RuntimeException

Operation cppReplyToCall

return the replyToCall trigger in C++

Declaration :

- Uml : + cppReplyToCall() : string
- C++ : public: const QCString & cppReplyToCall()
- Java : public String cppReplyToCall()

Operation set_CppReplyToCall

set the replyToCall trigger in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppReplyToCall(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppReplyToCall(const char * v)
- Java : public void set_CppReplyToCall(String v) throws RuntimeException

Operation javaReplyToCall

return the replyToCall trigger in Java

Declaration :

- Uml : + javaReplyToCall() : string
- C++ : public: const QCString & javaReplyToCall()
- Java : public String javaReplyToCall()

Operation set_JavaReplyToCall

set the replyToCall trigger in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaReplyToCall(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaReplyToCall(const char * v)
- Java : public void set_JavaReplyToCall(String v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _trigger

Declaration :

- Uml : - _trigger : string
- C++ : private: QCString _trigger
- Java : private String _trigger

Attribute _cpp_trigger

Declaration :

- Uml : - _cpp_trigger : string
- C++ : private: QCString _cpp_trigger
- Java : private String _cpp_trigger

Attribute _java_trigger

Declaration :

- Uml : - _java_trigger : string
- C++ : private: QCString _java_trigger
- Java : private String _java_trigger

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , cppReplyToCall , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaReplyToCall , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , replyToCall , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_CppReplyToCall , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaReplyToCall , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_ReplyToCall , set_Stereotype , stereotype , supportFile , unload , unload , unload